Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232770 - Backgroundsettings are twice in XFCE contextmenu
Summary: Backgroundsettings are twice in XFCE contextmenu
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce-utils
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-17 12:47 UTC by Heiko Adams
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 19:47:46 UTC


Attachments (Terms of Use)
Screenshot of my xfce contextmenu (deleted)
2007-03-17 17:53 UTC, Heiko Adams
no flags Details
XFCE Menu config (deleted)
2007-03-19 19:35 UTC, Heiko Adams
no flags Details

Description Heiko Adams 2007-03-17 12:47:45 UTC
Description of problem:
When looking into the settings section of XFCE's contextmenu there are two items
for configuring the background and both do the same. IMHO one of these could be
removed.

Comment 1 Kevin Fenzi 2007-03-17 17:30:59 UTC
Odd. I am not seeing this at all here... 

Can you describe exactly where the two entries are? 
Are they named the same thing? 

Here I have Settings->Desktop Settings, which is the only place I see to set the
background. 

Comment 2 Heiko Adams 2007-03-17 17:53:31 UTC
Created attachment 150313 [details]
Screenshot of my xfce contextmenu

I made s screenshot of my xfce contextmen and marked the duplicates with a red
dot. They are called "Hintergrund ..." and "Hintergrundeinstellungen". Maybe
this helps you.

Comment 3 Kevin Fenzi 2007-03-17 18:03:01 UTC
ok. Can you tell me what the following command outputs: 

grep -i "Hintergrund" /usr/share/applications/*.desktop
/usr/share/applications/*/*.desktop /usr/share/applnk/*/*.desktop 
/usr/share/apps/*/*.desktop 

Basically Xfce generates it's menu by looking at the desktop files in those
directories. You have some other application thats providing "Hintergrund" and
it's getting added there. If we find out what application that is you can remove
it or we can get it fixed if it's in the wrong place. 



Comment 4 Heiko Adams 2007-03-17 18:25:24 UTC
This is the output of grep:
/usr/share/applications/gnome-background.desktop:Name[de]=Desktop-Hintergrund
/usr/share/applications/gnome-background.desktop:Comment[de]=Ihre
Desktop-Hintergrundeinstellungen festlegen
/usr/share/applications/xfce-backdrop-settings.desktop:GenericName[de]=Hintergrundeinstellungen
grep: /usr/share/applnk/*/*.desktop: Datei oder Verzeichnis nicht gefunden

Comment 5 Kevin Fenzi 2007-03-18 02:37:16 UTC
How about this: can you look and see if you have a: 

~/.cache/xfce4/desktop/menu-cache--etc-xdg-xfce4-desktop-menu.xml.xml

file. 
Can you look in that file and paste in the line that has the first "Hintergrund"
occurance in it? 

Comment 6 Heiko Adams 2007-03-18 10:17:27 UTC
The first line with "Hintergrund" is:
<app name="Hintergrund ..." cmd="xfce-setting-show backdrop" icon=""
term="false" snotify="false" />

The second one is:
<app name="Hintergrundeinstellungen" cmd="xfce-setting-show backdrop"
icon="xfce4-backdrop" term="false" snotify="true" />

Comment 7 Kevin Fenzi 2007-03-18 20:41:09 UTC
Interesting. So, it's picking that up somewhere from a .desktop file... the
trick is finding out which one. In that same directory there should be a file
that ends in .rc. Thats the list of directories and files that it's using to
generate the menu. 

If I could get you to run this little script that might tell us where the file
we are interested in is:  

for i in `grep location menu-cache--etc-xdg-xfce4-desktop-menu.xml.rc | awk -F=
'{print $2}'`
do
grep Hintergrund $i/*.desktop
done

Thanks for bearing with me on this... hopefully we can get it tracked down. 

Comment 8 Heiko Adams 2007-03-18 22:27:23 UTC
Sorry, but your script doesn't work, because "print $2: command not found"

But when I exec this scritp:
for i in `grep location menu-cache--home-heiko-.config-xfce4-desktop-menu.xml.rc`
do
grep Hintergrund $i*.desktop
done

The output is:
grep: location0=/home/heiko/.config/xfce4/desktop/menu.xml*.desktop: Datei oder
Verzeichnis nicht gefunden
grep: location0=/home/heiko/.local/share/applications/*.desktop: Datei oder
Verzeichnis nicht gefunden
grep: location1=/usr/share/applications//screensavers*.desktop: Datei oder
Verzeichnis nicht gefunden
grep: location2=/usr/share/applications/*.desktop: Datei oder Verzeichnis nicht
gefunden
grep: location3=/usr/share/applications//screensavers*.desktop: Datei oder
Verzeichnis nicht gefunden
grep: location4=/usr/share/applications/*.desktop: Datei oder Verzeichnis nicht
gefunden
grep: location5=/home/heiko/.local/share/applications/*.desktop: Datei oder
Verzeichnis nicht gefunden


Comment 9 Kevin Fenzi 2007-03-19 17:35:48 UTC
It looks like it got linewrapped or otherwise messed up cutting and pasting from
bugzilla. ;( 

Can you instead download: 
http://www.scrye.com/~kevin/check-desktop-files.sh

and run it and attach the output here?

Thanks again. 

Comment 10 Heiko Adams 2007-03-19 17:55:58 UTC
Okay, this is the output of your script:
grep: /home/heiko/.config/xfce4/desktop/menu.xml/*.desktop: Ist kein Verzeichnis
grep: /home/heiko/.local/share/applications//*.desktop: Datei oder Verzeichnis
nicht gefunden
/usr/share/applications//gnome-background.desktop:Name[de]=Desktop-Hintergrund
/usr/share/applications//gnome-background.desktop:Comment[de]=Ihre
Desktop-Hintergrundeinstellungen festlegen
/usr/share/applications//xfce-backdrop-settings.desktop:GenericName[de]=Hintergrundeinstellungen
/usr/share/applications//gnome-background.desktop:Name[de]=Desktop-Hintergrund
/usr/share/applications//gnome-background.desktop:Comment[de]=Ihre
Desktop-Hintergrundeinstellungen festlegen
/usr/share/applications//xfce-backdrop-settings.desktop:GenericName[de]=Hintergrundeinstellungen
grep: /home/heiko/.local/share/applications//*.desktop: Datei oder Verzeichnis
nicht gefunden

Comment 11 Kevin Fenzi 2007-03-19 18:10:25 UTC
ok. That looks right. 

Can you pull up the Menu editor? Settings->Menu Editor
and see if there is an entry that is below the Settings manager line for the
background setting?

Ie, 

Settings

  Settings manager    xfce-setting-show
  Hintergrund         xfce-setting-show backdrop
  -- seperator --
  -- include --       system


Comment 12 Heiko Adams 2007-03-19 19:35:14 UTC
Created attachment 150421 [details]
XFCE Menu config

My menu config looks exactly as in your example

Comment 13 Kevin Fenzi 2007-03-19 19:38:53 UTC
ok, thats the problem. At some point that entry was added in the menu editor. 

In the Menu editor, select the Hintergrund line, and click the - button. 
Save your changes and close the menu editor. 

You should then only have the system provided background editor thats included
via the system menu include. 



Comment 14 Heiko Adams 2007-03-19 19:44:18 UTC
Thanks, that solved the problem. But I can't remember adding this to my menu
config. AFAIR the only change I made was making the Exit visible.

Comment 15 Kevin Fenzi 2007-03-19 19:47:46 UTC
Yeah, I don't know how it would get added to your local menu without you doing it. 
Perhaps it was carried over from an upgrade or something? 

In any case I will close this bug now. If you spot anything further feel free to
re-open this or file a new bug. 

Thanks for being so patient on tracking it down with me. 


Note You need to log in before you can comment on or make changes to this bug.